MIDASHOME=/build/buildd/eso-midas-13.09pl1.3
MIDVERS=13SEP
.SCCS_GET:
MAKEFLAGS=-r
MAKE_VMS = $(MIDASHOME)/$(MIDVERS)/install/unix/make_vms
MAKEFILE_VMS = makefile.com
FTOCNAMES = $(MIDASHOME)/$(MIDVERS)/system/exec/ftoc_names.exe
# FTOCVMR = $(MIDASHOME)/$(MIDVERS)/system/exec/ftoc_vmr
ESOEXT = $(MIDASHOME)/$(MIDVERS)/system/exec/esoext.exe
CREA_ALLL = $(MIDASHOME)/$(MIDVERS)/system/exec/crea_alll
CREA_HLQ = $(MIDASHOME)/$(MIDVERS)/system/exec/crea_hlq
FORIF= $(MIDASHOME)/$(MIDVERS)/system/exec/forif.exe
# FORIF_OPT = `$(FTOCNAMES)` `$(FTOCVMR)`
FORIF_OPT = `$(FTOCNAMES)` 
LIBDIR = $(MIDASHOME)/$(MIDVERS)/lib
LLIBDIR = ../../lib
PROCDIR = ../../proc
INC = $(MIDASHOME)/$(MIDVERS)/incl
LINC = ../incl
NAGLIB = -lnag
MATHLIB= -lmidmath
MAKE_OPTS=-r
MAKE=make $(MAKE_OPTS)
LINT_OPTS=-a -b -u -h
UIMX=uimxR5

# DEFINITIONS:
SHELL=/bin/sh
CC = cc
CP = cp
LDCC = cc $(LDFLAGS)
F77 = f77
LD77_CMD = f77
LD77_OPT = $(LDFLAGS)
LD77 = $(LD77_CMD) $(LD77_OPT)
RANLIB = ranlib
STRIP = strip
AR = ar
AR_OPT = ruv
AR_XOPT = xv
AR_DOPT = dv
RM = rm -f
LN = ln -s


CLINK=-c
LD_OPT = $(LDFLAGS)
DEBUG =
C_OPT =
F_OPT= 
E_OPT =
SYS =
SH_CMD = echo
SH_OPT =
SH_EXT = so.8.1
CFLAGS += $(C_OPT) $(DEBUG) $(SYS) $(VARARGS) -I$(INC)
FFLAGS = $(F_OPT) $(DEBUG) -c
EFLAGS = $(E_OPT) -I$(INC) -I$(LINC) -f
EXFLAGS = -f
SLIB =
MLIB = -lm
X11INC =
XMINC =
X11_LIBPATH = 
X_LIBS=-lXm -lXt -lX11
MOTIF_LIBPATH =
XWLIB = $(X11_LIBPATH) -lX11
VMSLIB =
CPPLINE=$(CC) $(CPPFLAGS) $(CFLAGS) $(CLINK) $<
XOPEN_LIBS=

# RULES:
.SUFFIXES:
.SUFFIXES: .o .c .fc .f .for .mod .sh
.for.o:
	$(ESOEXT) $(EFLAGS) $<
	$(F77) $(FFLAGS) $*.f
	$(RM) $*.f
.for.f:
	$(ESOEXT) $(EFLAGS) $<
.f.o:
	$(F77) $(FFLAGS) $<
.fc.o: 
	$(FORIF) $(FORIF_OPT) $< $*.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CLINK)  $*.c
.fc.c: 
	$(FORIF) $(FORIF_OPT) $< $@
.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CLINK)  $<
.o.mod:
	$(CP) $< $*.mod
.sh:
	$(RM) $@
	cat $< > $@
	chmod +x $@

# Reading your local definitions:
include $(MIDASHOME)/$(MIDVERS)/local/make_options
